//-----------------------------------------------------------------------------
//                                         Mn Highlight Bars                  |
// Author: Futurespec
// v2 Modified by: Zen_Leow
//-----------------------------------------------------------------------------

#property copyright "Mn"

#property indicator_chart_window
#property indicator_buffers 8
#property indicator_color1 Lime 
#property indicator_color2 Lime
#property indicator_color3 Lime 
#property indicator_color4 Lime
#property indicator_width1  1
#property indicator_width2  1
#property indicator_width3  4
#property indicator_width4  4
#property indicator_color5 White 
#property indicator_color6 White
#property indicator_color7 White
#property indicator_color8 White
#property indicator_width5  1
#property indicator_width6  1
#property indicator_width7  4
#property indicator_width8  4

extern int mMinVol      = 9000;

//extern int mEarliestBar = 1000;

double SigBarLo[], SigBarHi[], SigBarCl[], SigBarOp[],
       SigBarLo2[], SigBarHi2[], SigBarCl2[], SigBarOp2[];
  bool mShort = true, mLong = true;

//-----------------------------------------------------------------------------
void init() {
  SetIndexBuffer(0, SigBarLo);
  SetIndexBuffer(1, SigBarHi);
  SetIndexBuffer(2, SigBarCl);
  SetIndexBuffer(3, SigBarOp);
  SetIndexBuffer(4, SigBarLo2);
  SetIndexBuffer(5, SigBarHi2);
  SetIndexBuffer(6, SigBarCl2);
  SetIndexBuffer(7, SigBarOp2);
    
  SetIndexEmptyValue(0, 0);
  SetIndexEmptyValue(1, 0);
  SetIndexEmptyValue(2, 0);
  SetIndexEmptyValue(3, 0);
  
  SetIndexStyle(0, DRAW_HISTOGRAM);
  SetIndexStyle(1, DRAW_HISTOGRAM);
  SetIndexStyle(2, DRAW_HISTOGRAM);
  SetIndexStyle(3, DRAW_HISTOGRAM);
  SetIndexStyle(4, DRAW_HISTOGRAM);
  SetIndexStyle(5, DRAW_HISTOGRAM);
  SetIndexStyle(6, DRAW_HISTOGRAM);
  SetIndexStyle(7, DRAW_HISTOGRAM);

 /* SetIndexDrawBegin(0, Bars - mEarliestBar);
  SetIndexDrawBegin(1, Bars - mEarliestBar);
  SetIndexDrawBegin(2, Bars - mEarliestBar);
  SetIndexDrawBegin(3, Bars - mEarliestBar);
  SetIndexDrawBegin(4, Bars - mEarliestBar);
  SetIndexDrawBegin(5, Bars - mEarliestBar);
  SetIndexDrawBegin(6, Bars - mEarliestBar);
  SetIndexDrawBegin(7, Bars - mEarliestBar);*/
  
  return;  
}

//-----------------------------------------------------------------------------
void start() 
{
   int mCounted = IndicatorCounted();
   if(mCounted < 0) return; 
   if(mCounted > 0) mCounted--;
   int mLimit = Bars - mCounted;
   if (mLimit < 60) // always recheck the last 60 candles.
   {
      mLimit = 60;
   }
   for (int i = mLimit; i >= 0; i--) 
   {
      if(Period() <= 60 && hourVolExceeded(i))
      {
         SigBarLo[i] = High[i]; 
         SigBarHi[i] = Low[i]; 
         SigBarCl[i] = Open[i];
         SigBarOp[i] = Close[i];
         mLong = true; mShort = false;
      }

   }  // for i 

  return;  
}

bool hourVolExceeded(int i)
{
   int hourShift = iBarShift(NULL, PERIOD_H1, Time[i], false);
   if (hourShift != -1)
   {
      if (iVolume(NULL, PERIOD_H1, hourShift) > mMinVol)
      {
         return (true);
      }
   }
   
   return (false);
}

//-----------------------------------------------------------------------------
void deinit()
{

  return;  
}

//-----------------------------------------------------------------------------


